--- !ruby/object:RI::ClassDescription 
attributes: 
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: config
  name: grace
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: config
  name: restart_grace
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: config
  name: start_grace
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: config
  name: stop_grace
  rw: RW
class_methods: 
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
constants: 
- !ruby/object:RI::Constant 
  comment: 
  name: VALID_STATES
  value: "[:init, :up, :start, :restart]"
- !ruby/object:RI::Constant 
  comment: 
  name: INITIAL_STATE
  value: ":init"
full_name: God::Watch
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: action
- !ruby/object:RI::MethodSummary 
  name: behavior
- !ruby/object:RI::MethodSummary 
  name: call_action
- !ruby/object:RI::MethodSummary 
  name: monitor
- !ruby/object:RI::MethodSummary 
  name: register!
- !ruby/object:RI::MethodSummary 
  name: restart_if
- !ruby/object:RI::MethodSummary 
  name: start_if
- !ruby/object:RI::MethodSummary 
  name: unregister!
- !ruby/object:RI::MethodSummary 
  name: valid?
name: Watch
superclass: Task
